Subject: Re: Arguslist Digest, Vol 19, Issue 1

From: Andy <[email-masked]>
Date: Sat, 7 May 2005 09:41:37 +0100

> 
> | While doing some testing, and playing with the graphing of SNMP data
> | I've come across a odd problem.
> | The graphing produces the graphs (always a good start) but seems to
> | pull no data in causeing the element to go straight into alert. Graphs
> | themselves show no data flowing in either direction.
> | The Linux box in question is talking fine to the router using the
> | listed mib's using a quick bit of perl from the examples in the
> | Net::SNMP pod.
> 
> it doesn't sound like a graphing problem, it sounds like
> you aren't getting any snmp response from your router.
> 
> wrong community string?
> 
> what does the debugging page show as 'srvc::reason'?
> 
>         --jeff
> 
> ------------------------------

srv:reason was showing UDP timeout.

I've now fixed the problem I'd forgotten to add the community string
into the argus config. Once I'd added "community: public" to the
original config everything was graphed ok.
The oid's look a little odd as they are graphing the ppp traffic on
the dsl interafce on my router here at home.

As ever Jeff, thanks for your help it is very much appreciated.

For those that are interested I've included the amended config below.

Group "Router" {
       drawgrid:       yes
       graph:  yes
       title:  Bandwidth
       ylabel: bits per second
       Group "My Router" {
               Service UDP/SNMP {
                       community:   public
                       calc:   ave-rate-bits
                       frequency:      5
                       hostname:       192.168.7.1
                       label:  In
                       maxvalue:       2000000
                       oid:    .1.3.6.1.2.1.2.2.1.10.6
               }
               Service UDP/SNMP {
                       community:    public   
                       calc:   ave-rate-bits
                       frequency:      5
                       hostname:       192.168.7.1
                       label:  Out
                       maxvalue:       2000000
                       oid:    .1.3.6.1.2.1.2.2.1.16.6
               }
       }
}